# PaymentProductField class

Represents a PaymentProductField object.

Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

PaymentProductField(String id, PaymentProductFieldType type, {PaymentProductFieldDisplayHints? displayHints = const PaymentProductFieldDisplayHints.empty(), DataRestrictions dataRestrictions = const DataRestrictions.empty()})
PaymentProductField.fromJson(Map<String, dynamic> json)
  factory

## Properties

dataRestrictions → DataRestrictions
  final
displayHints → PaymentProductFieldDisplayHints?
  final
errorMessageIds ↔ List<ValidationErrorMessage>
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
id → String
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
type → PaymentProductFieldType
  final

## Methods

applyMask(String value) → Future<String>
  Returns the masked `value` of the PaymentProductField.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
removeMask(String value) → Future<String>
  Returns the unmasked `value` of the PaymentProductField.
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited
validateValue(String value) → Future<List<ValidationErrorMessage>>
  Returns a list of ValidationErrorMessage for the supplied `value`. If the list is empty, you can assume that the supplied `value` is a valid value.
validateValueForPaymentRequest(PaymentRequest request) → Future<List<ValidationErrorMessage>>
  Returns a list of ValidationErrorMessage for the field's value in the supplied `request`. If the list is empty, you can assume that the field value is a valid value.

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited